﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("_FORWARDING_AGENTScript")
@Html.Partial("_PopUp")

<div class="content">
    <table style="width: 100%">
        <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Forward Agent CD";
                    label.Width = 130;
                }).GetHtml()
            </td>
            <td>
               @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_FORWARD_AGENT_CD";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 20;
                }).GetHtml()
            </td>
            <td style="width: 5px">
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Forward Agent Name";
                    label.Width = 150;
                }).GetHtml()
            </td>           
            <td>
               @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_FORWARD_AGENT_NAME";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 50;
                }).GetHtml()
            </td>

            <td style="width: 5px">
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "PIC name";
                    label.Width = 100;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PIC_NAME";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 250;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()
            </td>             
            <td style="width: 400px">
            </td>
            <td colspan="2" align="right">
                @Html.DevExpress().Button(
                 edtSetting =>
                 {
                     edtSetting.Name = "cmdSearch";
                     edtSetting.Text = "Search";
                     edtSetting.Width = 100;
                     edtSetting.ClientSideEvents.Click = "OnSearch";
                     edtSetting.Style.Add("display", "inline-table");
                     edtSetting.UseSubmitBehavior = true;
                     //di nonaktifin dulu untuk direct login
                     edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("FORWARDING_AGENT", "FTR-SPEX-52-01", "SEARCH");
                 }
                 ).GetHtml()
                 </td><td>
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 100;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("FORWARDING_AGENT", "FTR-SPEX-52-01", "CLEAR");
                }).GetHtml()
            </td>
        </tr>
         <tr>
            <td colspan="19">
                <hr />
            </td>
        </tr>
        <tr>
            <td colspan="4">
             @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdSave";
                    Button.Text = "Save";
                    Button.Width = 100;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "SaveDataSHIPPING_AGENT";
                    Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("FORWARDING_AGENT", "FTR-SPEX-52-01", "SAVE");
                    
                }).GetHtml()
                @Html.DevExpress().Button(Button =>
                   {
                       Button.Name = "cmdCancel";                    
                       Button.Text = "Cancel";
                       Button.Width = 100;
                       Button.Style.Add("display", "inline-table");
                       Button.ClientSideEvents.Click = "CancelData";
                       Button.UseSubmitBehavior = true;
                       Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("FORWARDING_AGENT", "FTR-SPEX-52-01", "CANCEL");
                    
                   }).GetHtml()
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdDownload";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Download";
                    edtSetting.ClientSideEvents.Click = "DownloadData";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("FORWARDING_AGENT", "FTR-SPEX-52-01", "DOWNLOAD");
                }
                ).GetHtml()
            </td>
           <td></td>
            <td colspan="7" align="right">
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdAdd";
                    Button.Text = "Add";
                    Button.Width = 100;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "AddData";
                    Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("FORWARDING_AGENT", "FTR-SPEX-52-01", "ADD");
                 
                }).GetHtml()
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdEdit";
                    Button.Text = "Edit";
                    Button.Width = 100;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "EditData";
                    Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("FORWARDING_AGENT", "FTR-SPEX-52-01", "EDIT");
                 
                }).GetHtml()
                @Html.DevExpress().Button(Button =>
                   {
                       Button.Name = "cmdDelete";
                       Button.Text = "Delete";
                       Button.Width = 100;
                       Button.Style.Add("display", "inline-table");
                       Button.ClientSideEvents.Click = "DeleteData";
                       Button.UseSubmitBehavior = true; ;
                       Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("FORWARDING_AGENT", "FTR-SPEX-52-01", "DELETE DATA");
                 
                   }).GetHtml()                
            </td>
        </tr>
    </table>
</div>

<div class="content" style="min-height: 400px">
    @Html.Partial("_FORWARDING_AGENTGrid")
</div>